import axios from '../api'

export default {
  getMenuList(params) {
    return axios.get('/api/front/useradmin/authList', JSON.stringify(params))
  },
  accountList(params) {
    return axios.post('/api/front/useradmin/index',params)
  },
  accountAdd(params) {
    return axios.post('/api/front/useradmin/add',params)
  },
  accountEdit(params) {
    return axios.post('/api/front/useradmin/edit',params)
  },
  accountDel(params) {
    return axios.post('/api/front/useradmin/drop',params)
  },
  accountReset(params) {
    return axios.post('/api/front/useradmin/resetPwd',params)
  },
  accountEditStatus(params) {
    return axios.post('/api/front/useradmin/setStatus',params)
  },
  setPermit(params) {
    return axios.post('/api/front/useradmin/setPermit',params)
  },
  getAdminList(params) {
    return axios.post('/api/front/useradmin/getAdminList',params)
  },
  getCityList(params) {
    return axios.get('/api/front/useradmin/getCityList',JSON.stringify(params))
  },
  getBaseData(params) {
    return axios.get('/api/front/useradmin/getBaseData',JSON.stringify(params))
  },
  getUserAdminList(params) {
    return axios.post('/api/front/useradmin/getUserAdminList',JSON.stringify(params))
  },
}


